// Copyright 2009-2010 Oliver Sturm <oliver@sturmnet.org> All rights reserved. 

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.OleDb;
using System.Dynamic;

namespace DynamicDB {
  public class DynamicDatabase : DynamicObject {
    public DynamicDatabase(string connStr)
      : base( ) {
      this.connStr = connStr;
    }

    string connStr;

    OleDbConnection connection;
    public OleDbConnection Connection {
      get {
        if (connection == null) {
          connection = new OleDbConnection(connStr);
          connection.Open( );
        }
        return connection;
      }
    }

    public override bool TryGetMember(GetMemberBinder binder, out object result) {
      result = new DynamicTable(this, binder.Name);
      return true;
    }
  }
}
