﻿// Copyright 2009-2010 Oliver Sturm <oliver@sturmnet.org> All rights reserved. 

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using IronPython.Hosting;
using DynamicDB;

namespace UseFromPython {
  class Program {
    static void Main(string[] args) {
      PublishInstanceToPython( );
      PublishTypeToPython( );
    }

    private static void PublishInstanceToPython( ) {
      string connStr = @"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=..\..\..\TestDB.mdb";
      dynamic testDB = new DynamicDatabase(connStr);

      var engine = Python.CreateEngine( );
      dynamic scope = engine.CreateScope( );
      scope.db = testDB;
      dynamic script = engine.ExecuteFile("PublishInstanceToPython.py", scope);
      script.RunTest( );
    }

    private static void PublishTypeToPython( ) {
      var engine = Python.CreateEngine( );
      engine.Runtime.LoadAssembly(typeof(DynamicDatabase).Assembly);
      dynamic script = engine.ExecuteFile("PublishTypeToPython.py");
      script.RunTest( );
    }
  }
}
